Bug 34865 - S4 connector join script fails in some slave pdc scenarios
S4 connector join script fails in some slave pdc scenarios
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Stefan Gohmann
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-19 10:06 CEST by Stefan Gohmann
Modified: 2014-07-24 15:18 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-05-19 10:06:23 CEST
The S4 connector join script fails in some slave pdc scenarios. From the join log:

start-stop-daemon: warning: failed to kill 3428: No such process
failed.
Starting univention-s4-connector daemon.
done.
Setting dns/backend
Restarting bind9 daemon: .
done.
Wait for bind9: .Stopping Samba AD DC daemon: samba. nmbd.
Starting Samba AD DC daemon: samba nmbd.
........................................................................................................................................................................................................Stopping Samba AD DC daemon: samba. nmbd.
Starting Samba AD DC daemon: samba nmbd.
........................................................................................................................................................................................................Stopping Samba AD DC daemon: samba. nmbd.
Starting Samba AD DC daemon: samba nmbd.
........................................................................................................................................................................................................Stopping Samba AD DC daemon: samba. nmbd.
Starting Samba AD DC daemon: samba nmbd.
Setting connector/s4/poll/sleep
Setting connector/s4/retryrejected
 failed
Setting dns/backend
Restarting bind9 daemon: .
done.
**************************************************************
* ERROR: Failed to configure Samba4 as backend for bind.     *
*        Please check the samba and the s4-connector logfile.*
**************************************************************
Comment 1 Stefan Gohmann univentionstaff 2014-07-07 08:11:31 CEST
The fix has been merged from the ucs-school-3.2r2 scope. sbind9 is now restarted instead of samba4

YAML: r51542

Code: r51541
Comment 2 Arvid Requate univentionstaff 2014-07-14 18:05:45 CEST
Ok package has been built in errata3.2-2 with backported patch.
Advisory is ok.
Comment 3 Janek Walkenhorst univentionstaff 2014-07-24 15:18:05 CEST
http://errata.univention.de/ucs/3.2/153.html